> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/swe/api-dokumentation/geo-endpoints-for-atkomst-till-spatial-data/wms-hamta-rasterbilder-av-spatiala-datalager/16.-satellitbild-beskuren-efter-faltgrans.md).

# 16. Satellitbild: beskuren efter fältgräns

Ett exakt (inte pixelerat) utsnitt av satellitbilden baserat på det definierade fältgränssnittet finns tillgängligt för olika vyer som `RGB, NIR, EVI2, LAI, NDVI, GNDVI, IPVI, GCI, SAVI, OSAVI, NDWI, WDRVI, NDMI, MCARI`, etc.&#x20;

Varje SatelliteImage innehåller ett `geoMaps` objekt som rymmer renderingsdetaljer såsom `url`, färgkoder, klasser och namn. Dessa detaljer finns inom `fältet` -> `satelliteImages` -> `geoMaps` attributet. `url` används specifikt för att visa kartor som ett WMS-lager.

För att illustrera har exempelutdata för NIR- och WDRVI-vyer tillhandahållits nedan.

### Nära-infrarött (NIR), WDRVI och WDRVI-kontrast

![NIR](/files/9ac716347e03a4d2e0e85fda418a6ea8cc9085ed) ![WDRVI](/files/dca6a95f990721ec53e56b9267c158b3e069eaf4) ![WDRVI Contrast](/files/5beaa4839b03e87a89a2fa83ef3eccd7461c26e4)

Förfrågningsformatet är [https://api.geopard.tech/geo/map/reflect?TRANSPARENT=true\&VIEWPARAMS=uuid:\<field\_uuid>\&TIME=2020-07-22T17%3A50%3A22Z\&BBOX=\<minX,minY,maxX,maxY>\&LAYERS=sentinel2\_wdrvi\_and\_field\&SRS=EPSG%3A900913\&WIDTH=512\&geopardApiKey=\<geopard\_api\_key>](https://api.geopard.tech/geo/map/reflect?TRANSPARENT=true\&VIEWPARAMS=uuid:).&#x20;

### Förklaring av URL-parametrarna

Där indataattributen är:

1. `VIEWPARAMS=uuid:<field_uuid>` innehåller `uuid` av "Field";
2. `TIME=2020-07-22T17%3A50%3A22Z` har data för satellitbilden i formatet YYYY-MM-DDThh:mm:ssZ (URL-kodat) och finns i entiteten "FieldSatelliteImagery" med `acquisitionDate` attribut;
3. `BBOX=<minX,minY,maxX,maxY>` innehåller bounding boxen (url-kodad) för "Field" i EPSG:3857-projektion;
4. `WIDTH=512`  återspeglar utdata bildstorlek i pixlar (det exakta numret är endast viktigt om det används som en miniatyr);
5. `geopardApiKey=<geopard_api_key>` är kopplad till auktorisationsalternativet via API-nyckel;
6. `LAYERS=sentinel2_wdrvi_and_field` återspeglar stilen, leverantörsattributet som finns i entiteten "FieldSatelliteImagery".

De tillgängliga alternativen för Sentinel2 (`S2`) imagery `LAYERS` är:

`sentinel2_ndvi_and_field`&#x20;

`sentinel2_evi2_and_field`&#x20;

`sentinel2_rgb_and_field`&#x20;

`sentinel2_gci_and_field`

`sentinel2_lai_and_field`&#x20;

`sentinel2_nir_and_field`&#x20;

`sentinel2_osavi_and_field`&#x20;

`Sentinel2_wdrvi_and_field`

de tillgängliga alternativen för Landsat8 (`L8, L9`) imagery `LAYERS` är:

`landsat8_ndvi_and_field`&#x20;

`landsat8_evi2_and_field`&#x20;

`landsat8_rgb_and_field`&#x20;

`landsat8_gci_and_field`

`landsat8_lai_and_field`&#x20;

`landsat8_nir_and_field`&#x20;

`landsat8_osavi_and_field`&#x20;

`landsat8_wdrvi_and_field`

de tillgängliga alternativen för Landsat4-7 (`L4, L5, L6, L7`) imagery `LAYERS` är:

`landsat4-7_ndvi_and_field`&#x20;

`landsat4-7_evi2_and_field`&#x20;

`landsat4-7_rgb_and_field`&#x20;

`Landsat4-7_gci_and_field`

`landsat4-7_lai_and_field`&#x20;

`landsat4-7_nir_and_field`&#x20;

`landsat4-7_osavi_and_field`&#x20;

`landsat4-7_wdrvi_and_field`

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/swe/api-dokumentation/geo-endpoints-for-atkomst-till-spatial-data/wms-hamta-rasterbilder-av-spatiala-datalager/16.-satellitbild-beskuren-efter-faltgrans.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
